{
    onTryBoost(boost, target, source, effect) {
        if (source && target === source) return;
        if (boost.accuracy && boost.accuracy < 0) {
            delete boost.accuracy;
            if (!effect.secondaries) {
                this.add('-fail', target, 'unboost', 'accuracy', '[from] ability: Keen Eye', '[of] ' + target);
            }
        }
    },
    onModifyMove(move, source) {
        move.ignoreEvasion = true;

        if (move.type === source.types[0] || (source.types[1] && move.type === source.types[1])) {
            if (typeof move.accuracy === 'number') {
                move.accuracy *= 1.2;
            }
        }
    },
    flags: {breakable: 1},
    name: "Keen Eye",
    rating: 0.5,
    num: 51,
}
